//+------------------------------------------------------------------+
//|                                           CloseOnNetProfitEA.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
extern bool CloseOnProfit = true;
extern bool LogHiLowToScreen=false;
extern double  CloseAtOrAboveDollarAmt =  50;

 int m_intTotOrders =0;
 double m_dblLo = 9999.00;
 double m_dblHi = -9999.00;
 
 double m_dblDollarAmountofOrders =0;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----

  m_intTotOrders=OrdersTotal();
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----

   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
 
   for(int pos=0;pos<m_intTotOrders;pos++)
   {
      if(OrderSelect(pos,SELECT_BY_POS)==false) continue;
       
      m_dblDollarAmountofOrders=m_dblDollarAmountofOrders+OrderProfit()+
      OrderCommission()+OrderSwap();
      
   }
   
   //chk if greater than user input
   CheckHiLo();
 
  
   
//----
   return(0);
  }

void CheckHiLo()
  {
    if (m_dblDollarAmountofOrders < m_dblLo) m_dblLo=m_dblDollarAmountofOrders ;
    if (m_dblDollarAmountofOrders > m_dblHi) m_dblHi=m_dblDollarAmountofOrders ;
    m_dblDollarAmountofOrders=0;
    
    Comment("High = " + m_dblHi + "   "  + "Low = " + m_dblLo);
    
  }  
  
//+------------------------------------------------------------------+